• Review our System Requirements for the latest information on hardware and system compatibility.
  • All users must be logged out of The Education Edge or Blackbaud Student Information System, NetClassroom, and Faculty Access for the Web before updating. For instructions to verify this, review How to view users logged into the database
  • Ensure the Network Services user has Read, Execute, Write, and Modify NTFS permissions to the Downloadable Documents folder. 
  • Confirm you are using version 7.86 or higher of Education Edge by clicking Help, About in the software.
  • If your database includes Faculty Access for the Web, you must also install Faculty Access for the Web 7.86.
  • We recommend that you not run NetClassroom on the same web server as Faculty Access for the Web or WebPurchasing.
  • After the download completes, log into the web server with a Windows account that has local administrator rights and double-click the executable to begin the installation.